- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::DII_Invocation Class Reference

`#include <DII_Invocation.h>`

Inheritance diagram for TAO::DII_Invocation:

[legend]
Collaboration diagram for TAO::DII_Invocation:

[legend]
List of all members.

## Public Member Functions
| DII_Invocation (CORBA::Object_ptr otarget, Profile_Transport_Resolver &resolver, TAO_Operation_Details &detail, CORBA::ExceptionList *excp, CORBA::Request_ptr req, bool response_expected=true)
virtual Dynamic::ParameterList * | arguments () throw (CORBA::SystemException)
Invocation_Status | remote_invocation (ACE_Time_Value *max_wait_time) throw (CORBA::Exception)
virtual Invocation_Status | handle_user_exception (TAO_InputCDR &cdr) throw (CORBA::Exception)
## Private Attributes
CORBA::ExceptionList * | excp_list_
CORBA::Request_ptr | host_
| Back pointer to the DII request that created us.
## Friends
class | DII_Invocation_Adapter

## Constructor & Destructor Documentation

TAO::DII_Invocation::DII_Invocation | ( | CORBA::Object_ptr | otarget,
|  | Profile_Transport_Resolver & | resolver,
|  | TAO_Operation_Details & | detail,
|  | CORBA::ExceptionList * | excp,
|  | CORBA::Request_ptr | req,
|  | bool | response_expected = `true` |
| ) |  |  |

## Member Function Documentation

Dynamic::ParameterList * TAO::DII_Invocation::arguments | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Invocation_Status TAO::DII_Invocation::handle_user_exception | ( | TAO_InputCDR & | cdr | ) | throw (CORBA::Exception)`[virtual]`

Reimplemented from TAO::Synch_Twoway_Invocation.

Invocation_Status TAO::DII_Invocation::remote_invocation | ( | ACE_Time_Value * | max_wait_time | ) | throw (CORBA::Exception)

## Friends And Related Function Documentation

friend class DII_Invocation_Adapter`[friend]`

## Member Data Documentation

CORBA::ExceptionList* TAO::DII_Invocation::excp_list_`[private]`

CORBA::Request_ptr TAO::DII_Invocation::host_`[private]`

Back pointer to the DII request that created us.

The documentation for this class was generated from the following files:

- DII_Invocation.h
- DII_Invocation.cpp